# Interface_HSequenceOfCheck.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_Interface_HSequenceOfCheck.hxx>`
`#include <Interface_SequenceOfCheck.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_Interface_Check.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item Handle_Interface_Check
#define | Item_hxx <Interface_Check.hxx>
#define | TheSequence Interface_SequenceOfCheck
#define | TheSequence_hxx <Interface_SequenceOfCheck.hxx>
#define | TCollection_HSequence Interface_HSequenceOfCheck
#define | TCollection_HSequence_hxx <Interface_HSequenceOfCheck.hxx>
#define | Handle_TCollection_HSequence Handle_Interface_HSequenceOfCheck
#define | TCollection_HSequence_Type_() Interface_HSequenceOfCheck_Type_()

## Functions

Handle_Interface_HSequenceOfCheck | ShallowCopy (const Handle_Interface_HSequenceOfCheck &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_Interface_HSequenceOfCheck

#define Item Handle_Interface_Check

#define Item_hxx <Interface_Check.hxx>

#define TCollection_HSequence Interface_HSequenceOfCheck

#define TCollection_HSequence_hxx <Interface_HSequenceOfCheck.hxx>

#define TCollection_HSequence_Type_ | (

)

Interface_HSequenceOfCheck_Type_()

#define TheSequence Interface_SequenceOfCheck

#define TheSequence_hxx <Interface_SequenceOfCheck.hxx>

## Function Documentation

Handle_Interface_HSequenceOfCheck ShallowCopy | ( | const Handle_Interface_HSequenceOfCheck & | me | ) | `[inline]`